%define name            p6spy
%define version         1.0.4
%define release         0.beta.1jpp

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc/%{name}-%{version}
%define section         free

Summary:        Database statement interceptor for Java
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Development/Tools
License:        P6Spy Software License
URL:            http://p6spy.sourceforge.net/
BuildArch:      noarch
Source0:        http://download.sf.net/p6spy/p6spy-1_0_beta-src.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant, regexp, gnu.regexp, junit, log4j, jdbc-stdext
Requires:       regexp, gnu.regexp, log4j, jdbc-stdext

%description 
P6Spy is an open source, pluggable framework for applications that intercept
and optionally modify database statements.

# -----------------------------------------------------------------------------

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%package manual
Group:          Development/Tools
Summary:        Manual for %{name}

%description manual
Manual for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -c
rm -rf javadocs
mkdir lib

# -----------------------------------------------------------------------------

%build
export CLASSPATH=\
%{javadir}/regexp.jar:\
%{javadir}/gnu.regexp.jar:\
%{javadir}/junit.jar:\
%{javadir}/log4j.jar:\
%{javadir}/jdbc-stdext.jar
ant -Ddebug=off clean release

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p dist/p6spy.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{javadocdir}
cp -pr javadocs/* $RPM_BUILD_ROOT%{javadocdir}/

# webapp
# TODO: dist/p6spy.war to tomcat webapps dir
# TODO: make %{javadir}/p6spy.jar available in tomcat classpath

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc license.txt spy.properties
%{javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc documentation/*

# -----------------------------------------------------------------------------

%changelog
* Sat Jan 11 2003 Ville Skytt <ville.skytta at iki.fi> - 1.0.4-0.beta.1jpp
- Update to 1.0.4 beta.

* Thu Oct 10 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.beta.2jpp
- Author released a new source jar with (package only) bugs fixed, using it.
  The software version was not bumped though, brr.

* Mon Oct  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.beta.1jpp
- First JPackage release.
